# Method: agentUsers.delete

- [HTTP request](https://developers.home.google.com/reference/home-graph/rest/v1/agentUsers/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.home.google.com/reference/home-graph/rest/v1/agentUsers/delete#body.PATH_PARAMETERS)
- [Query parameters](https://developers.home.google.com/reference/home-graph/rest/v1/agentUsers/delete#body.QUERY_PARAMETERS)
- [Request body](https://developers.home.google.com/reference/home-graph/rest/v1/agentUsers/delete#body.request_body)
- [Response body](https://developers.home.google.com/reference/home-graph/rest/v1/agentUsers/delete#body.response_body)
- [Authorization Scopes](https://developers.home.google.com/reference/home-graph/rest/v1/agentUsers/delete#body.aspect)

Unlinks the given third-party user from your smart home Action. All data related to this user will be deleted.

For more details on how users link their accounts, see [fulfillment and authentication](https://developers.home.google.com/cloud-to-cloud/primer/fulfillment).

The third-party user's identity is passed in via the `agentUserId` (see `DeleteAgentUserRequest`). This request must be authorized using service account credentials from your Actions console project.

### HTTP request

`DELETE https://homegraph.googleapis.com/v1/{agentUserId=agentUsers/**}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `agentUserId` | `string` Required. Third-party user ID. |

### Query parameters

| Parameters ||
|---|---|
| `requestId` | `string` Request ID used for debugging. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is empty.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/homegraph`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).